<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.06.23
  - Description: 발주의뢰 접수 대상건 상세
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.util.Formatter2"%>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject Order = storage.getValueObject("Order");
    ValueObject filein = storage.getValueObject(Order.get("DOC_ETC_IN"));
    ValueObject fileout = storage.getValueObject(Order.get("DOC_ETC_OUT"));
    ValueObject sign_info = storage.getValueObject("SIGN_INFO");
    
    String gwurl	=	"http://gw.sgcenc.co.kr/";//WAFConfig.get("gw.url.address2");
%>
<SCRIPT language="JavaScript">
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet2 = new ibsheetObject();
	var sheet3 = new ibsheetObject();
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	var must_msg = "(은)는 필수 입력 항목입니다."; 
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		gridInit(sheet2);
		gridInit(sheet3);

		//결재 이후에 버튼 숨김..
		if("<%=Order.get("STATUS_CD")%>" == "02"){
			$("#btn_Save").hide();
			$("#btn_del").hide();
			$("#btn_Sign").hide();
			$("#report_emp_btn").hide();
			sheet3.SetColHidden("DEL_CHECK", true);
		}
		
		/**
		 *	Application Initialize
		 */
		 $("#btn_list").click(function() {
				jQuery("#fevent").val("");
				jQuery("#form1").attr("action", "/bid/purchase/BidPlanList.screen");
				jQuery("#form1").attr("target", "_self");
				jQuery("#form1").attr("method", "post");
				jQuery("#form1").submit();
		});
		
		$("#btn_Save").click(function() {
			var f = document.form1;
			submitXmlRequest("/bid/signidentify.screen", "CHK", f, "SUCCESS");
			btn_act = "to_Save";		
		});
		
		$("#btn_del").click(function() {
			var f = document.form1;
			submitXmlRequest("/bid/signidentify.screen", "CHK", f, "SUCCESS");
			btn_act = "to_Del";		
		});
		
		$("#btn_Sign").click(function() {
			var f = document.form1;
			submitXmlRequest("/bid/signidentify.screen", "CHK", f, "SUCCESS");
			btn_act = "to_sign";		
		});
			
		$("#sitedesc_flag_1").click(function() {
			$("#SITEDESCCHRGPRSNNM").attr("disabled",false);
			$("#SITEDESCCHRGPRSNID").attr("disabled",false);
			$("#SITEDESCTELNO").attr("disabled",false);
			$("#SITEDESCDATE").attr("disabled",false);
			$("#SITEDESCDATE_HH").attr("disabled",false);
			$("#SITEDESCDATE_MI").attr("disabled",false);
			$("#SITEDESCEMAIL").attr("disabled",false);
			$("#SITEDESCPLACE").attr("disabled",false);
			$("#btn_sitedescchrgprsnid").show();
			$("#calendar_sitedescdate").show();
		});
		
		$("#sitedesc_flag_2").click(function() {
			$("#SITEDESCCHRGPRSNNM").attr("disabled",true);
			$("#SITEDESCCHRGPRSNNM").val("");
			$("#SITEDESCCHRGPRSNID").attr("disabled",true);
			$("#SITEDESCCHRGPRSNID").val("");
			$("#SITEDESCTELNO").attr("disabled",true);
			$("#SITEDESCTELNO").val("");
			$("#SITEDESCDATE").attr("disabled",true);
			$("#SITEDESCDATE").val("");
			$("#SITEDESCDATE_HH").attr("disabled",true);
			$("#SITEDESCDATE_HH").val("");
			$("#SITEDESCDATE_MI").attr("disabled",true);
			$("#SITEDESCDATE_MI").val("");
			$("#SITEDESCEMAIL").attr("disabled",true);
			$("#SITEDESCEMAIL").val("");
			$("#SITEDESCPLACE").attr("disabled",true);
			$("#SITEDESCPLACE").val("");
			$("#btn_sitedescchrgprsnid").hide();
			$("#calendar_sitedescdate").hide();
		});
		
		//보고자 조회
		doSearchSheet3();
		
		//라디오 박스 체크 여부 //  N 일경우 비활성화
		if($("#sitedesc_flag_2").attr("checked") == "checked")
			$("#sitedesc_flag_2").click();
		if($("#sort_gb_4").attr("checked") == "checked")
			tbe_radio("N");
		
		
		//업체공지일자 변경
		$("#NOTI_DY").change(function() {
			if($("#BID_FROM_DT").val().length> 0){
				if($("#NOTI_DY").val()> $("#BID_FROM_DT").val()){
					alert("업체공지일자는 견적제출일이전이어야 합니다.\n- 견적제출일:"+$("#BID_FROM_DT").val());
					$("#NOTI_DY").val("");
					return;
				}
			}
			if($("#SITEDESCDATE").val().length> 0){
				if($("#NOTI_DY").val()> $("#SITEDESCDATE").val()){
					alert("업체공지일자는 견적설명일이전이어야 합니다.\n- 견적설명일:"+$("#SITEDESCDATE").val());
					$("#NOTI_DY").val("");
					return;
				}
			}
		});
		//견적제출기간 변경
		$("#BID_FROM_DT").change(function() {
			if($("#SITEDESCDATE").val().length> 0){
				if($("#BID_FROM_DT").val() < $("#SITEDESCDATE").val()){
					alert("견적제출기간은 견적설명일 이전 일 수 없습니다.\n- 견적설명일:"+$("#SITEDESCDATE").val());
					$("#BID_FROM_DT").val("");
					return;
				}
			}
			if($("#NOTI_DY").val().length> 0){	
				if($("#BID_FROM_DT").val() < $("#NOTI_DY").val()){
					alert("견적제출기간은 업체공지일 이전 일 수 없습니다.\n- 업체공지일:"+$("#NOTI_DY").val());
					$("#BID_FROM_DT").val("");
					return;
				}
			}
			if($("#BID_TO_DT").val().length> 0){	
				if($("#BID_TO_DT").val() < $("#BID_FROM_DT").val()){
					alert("시작 또는 종료(마감) 일시가 잘못 입력되었습니다.");
					$("#BID_FROM_DT").val("");
					return;
				}
			}
		});
		
		//견적제출기간 변경
		$("#BID_TO_DT").change(function() {
			if($("#BID_FROM_DT").val().length> 0){	
				if($("#BID_TO_DT").val() < $("#BID_FROM_DT").val()){
					alert("시작 또는 종료(마감) 일시가 잘못 입력되었습니다.");
					$("#BID_TO_DT").val("");
					return;
				}
			}
			if($("#SITEDESCDATE").val().length> 0){
				if($("#BID_TO_DT").val() < $("#SITEDESCDATE").val()){
					alert("견적제출기간은 견적설명일 이전 일 수 없습니다.\n- 견적설명일:"+$("#SITEDESCDATE").val());
					$("#BID_TO_DT").val("");
					return;
				}
			}
		});
		
		//견적제출기간 변경
		$("#DELI_START_DT").change(function() {
			if($("#DELI_END_DT").val().length> 0){	
				if($("#DELI_START_DT").val()> $("#DELI_END_DT").val()){
					alert("시작 또는 종료(마감) 일시가 잘못 입력되었습니다.");
					$("#DELI_START_DT").val("");
					return;
				}
			}
		});
		
		//견적제출기간 변경
		$("#DELI_END_DT").change(function() {
			if($("#DELI_START_DT").val().length> 0){	
				if($("#DELI_START_DT").val()>= $("#DELI_END_DT").val()){
					alert("시작 또는 종료(마감) 일시가 잘못 입력되었습니다.");
					$("#DELI_END_DT").val("");
					return;
				}
			}
		});
		
		//Delivery Period 납기일
		$("#DELI_FROM_DY").change(function() {
			if($("#DELI_TO_DY").val().length> 0){	
				if($("#DELI_FROM_DY").val()> $("#DELI_TO_DY").val()){
					alert("시작 또는 종료(마감) 일시가 잘못 입력되었습니다.");
					$("#DELI_FROM_DY").val("");
					return;
				}
			}
		});
		
		//Delivery Period 납기일
		$("#DELI_TO_DY").change(function() {
			if($("#DELI_FROM_DY").val().length> 0){	
				if($("#DELI_FROM_DY").val()>= $("#DELI_TO_DY").val()){
					alert("시작 또는 종료(마감) 일시가 잘못 입력되었습니다.");
					$("#DELI_TO_DY").val("");
					return;
				}
			}
		});
		
		
		//TBE일자  tbe일자 >= 견적제출시작일
		$("#SUPP_REQ_DY").change(function() {
			if($("#SUPP_REQ_DY").val().length> 0){	
				if($("#SUPP_REQ_DY").val() < $("#BID_FROM_DT").val()){
					alert("견적제출시작일 보다 작을 수 없습니다.");
					$("#SUPP_REQ_DY").val("");
					return;
				}
			}
		});
		
		$("#btn_row_del").click(function() {
			if(confirm("삭제 하시겠습니까?")){
				$("#fevent").val("SET_CORP_DELETE");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidPlan_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
			}
		}); 
		
		$("#corp_add").click(function(){
			var win_id = "corp";			
			var outitem = "<%=Order.get("OUT_ITEM_CD")%>";
			var link = "/common/corp/SuppChoicePop.screen";
			link += "?pop_win_id="+win_id+"&BID_KIND=P&OUT_ITEM_CD="+outitem;
			link += "&MATERIAL_GB="+$("#MATERIAL_GB").val();
			fLayerPop(win_id, link, 800,400, '','', 'NO');
		});
		
		$.test = function(resultVal)
		{
		 	for(var i=0; i < resultVal[0].length; i++)
			{
		 		var rowcnt = sheet1.RowCount();
				 if(rowcnt> 0){
					for(var r=0; r < rowcnt; r++)
					{
						var vendor_cd = sheet1.GetCellValue(r+1,"VENDOR_CD");
						if(vendor_cd == resultVal[0][i]){
							alert(resultVal[2][i]+"는 이미 등록된 업체 입니다.");
							return;
						}
						/*
						var vendor_no = sheet1.GetCellValue(r+1,"VENDOR_NO");
						if(vendor_no == resultVal[1][i]){
							alert(resultVal[2][i]+"는 이미 등록된 업체 입니다.");
							return;
						}
						var vendor_nm = sheet1.GetCellValue(r+1,"VENDOR_NAME");
						if(vendor_nm == resultVal[2][i]){
							alert(resultVal[2][i]+"는 이미 등록된 업체 입니다.");
							return;
						}*/
					}
				} 
		 		//sheetObj.DataAutoTrim = false;
				var row = sheet1.DataInsert(-1);
				sheet1.SetCellValue(row,"RECM_DEPT_NM","구매팀");
				sheet1.SetCellValue(row,"VENDOR_NO",resultVal[1][i]);
				sheet1.SetCellValue(row,"VENDOR_NAME",resultVal[2][i]);
				sheet1.SetCellValue(row,"REPRE_NO",resultVal[3][i]);
				sheet1.SetCellValue(row,"CHARGE_NAME",resultVal[4][i]);
				sheet1.SetCellValue(row,"TEL_NUM",resultVal[5][i]);
				sheet1.SetCellValue(row,"CHAGE_HP",resultVal[6][i]);
				sheet1.SetCellValue(row,"CHARGE_EMAIL",resultVal[7][i]);
				sheet1.SetCellValue(row,"VENDOR_CD",resultVal[0][i]);
				sheet1.SetCellValue(row,"RECM_DEPT_ID","1720");
				sheet1.SetCellValue(row,"IMG_GB","1");
			}
		 	setGridSize();
		 	setTimeout(function(){fLayerPopClose('corp');	},100);
		};
		
		
		$("#CMPT_CD").change(function() {
			if($("#CMPT_CD").val() == "01"){//공개경쟁
/* 				var rowcnt = sheet1.RowCount();
				if(rowcnt> 0){
					sheet1.RemoveAll();
				} */
				$("#corp_list_title").hide();
				$("#btn_row_del").hide();
				$("#corp_add").hide();
				$("#sheet1_div").hide();
				$("#copr_list").hide();
			}else{
				$("#corp_list_title").show();
				$("#btn_row_del").show();
				$("#corp_add").show();
				$("#sheet1_div").show();
				$("#copr_list").show();
				 autoResize();
			}
		});
		$("#CMPT_CD").change();
		
		$("#CONT_AMT").keyup(function(){act_rate();});
		$("#ACT_AMT").keyup(function(){act_rate();});
		
		$("#SUCC_CD").change(function() {
			
			if($("#SUCC_CD").val() == "02"){
				$("#sort_gb_4").removeAttr('disabled');
				$("#sort_gb_4").click();
				$("[name='TBE_FLAG']:not(:checked)").attr('disabled','disabled');
				tbe_radio("N");
			}else if($("#SUCC_CD").val() == "01"){
				$("#sort_gb_3").removeAttr('disabled');
				$("#sort_gb_3").click();
				$("[name='TBE_FLAG']:not(:checked)").attr('disabled','disabled');
				tbe_radio("Y");
			}else{
				$("#sort_gb_3").removeAttr('disabled');
				$("#sort_gb_4").removeAttr('disabled');
			}
		});
		
		$("#sort_gb_3").click(function(){
			if($("#LAST_EVAL_EMPNM").val()!=""){
				$("#EVAL_EMPNM").val($("#LAST_EVAL_EMPNM").val());
				$("#EVAL_EMPID").val($("#LAST_EVAL_EMPID").val());
			}else if($("#EVAL_EMPNM").val()==""){
				$("#EVAL_EMPNM").val("<%=Order.get("EMP_NM")%>");
				$("#EVAL_EMPID").val("<%=Order.get("EMP_NO")%>");
			}
			$("#SUCC_CD").val("01");
			tbe_radio("Y");
		});
		$("#sort_gb_4").click(function(){
			if($("#EVAL_EMPNM").val()!=""){
				$("#LAST_EVAL_EMPNM").val($("#EVAL_EMPNM").val());
				$("#LAST_EVAL_EMPID").val($("#EVAL_EMPID").val());
			}
			$("#SUCC_CD").val("02");
			tbe_radio("N");
		});
		$("#SITEDESCEMAIL").change(function() {
			if(!checkEmail($("#SITEDESCEMAIL").val())){
				alert("이메일 형식이 올바르지 않습니다.");
				$("#SITEDESCEMAIL").focus();
			}
		});
		/* 단가계약여부 예일경우  */
		if($("#div_po_flag_1").attr("checked") == "checked")
			$("#CURRENCY_GB_YN").attr("checked", false);
		
		$("#div_po_flag_1").click(function() {
			$("#CURRENCY_GB_YN").attr("checked", false);
			$("#CURRENCY_GB_YN").attr("disabled",true);
		});
		$("#div_po_flag_2").click(function() {
			$("#CURRENCY_GB_YN").attr("disabled",false);
		});
		
		var div_po_yn = "<%=Order.get("DIV_PO_YN")%>";
		if(div_po_yn == "Y"){
			$("#div_po_flag_1").click();
		}else if(div_po_yn == "N"){
			$("#div_po_flag_2").click();			
		}
		//pay_div가 2일경우 단가계약 아니오 후 수정 불가   9/22 추가
		var pay_div = "<%=Order.get("PAY_DIV")%>";
		if(pay_div == "2" || $("#DEMANDED_KIND").val() == "B"){
			$("#div_po_flag_2").click();
			$("#div_po_flag_1").attr("disabled",true);
			$("#div_po_flag_2").attr("disabled",true);
		}
		
		$("#CURRENCY_GB_YN").click(function() {if($(':checkbox[name="CURRENCY_GB_YN"]:checked').val() != "Y")$("#CURRENCY_GB_YN").val("N");	});
		$("#PBC_INSTALL_YN").click(function() {if($(':checkbox[name="PBC_INSTALL_YN"]:checked').val() != "Y")$("#PBC_INSTALL_YN").val("N");	});
		$("#PBC_COMMISS_YN").click(function() {if($(':checkbox[name="PBC_COMMISS_YN"]:checked').val() != "Y")$("#PBC_COMMISS_YN").val("N");	});
		$("#PBC_SPETOOL_YN").click(function() {if($(':checkbox[name="PBC_SPETOOL_YN"]:checked').val() != "Y")$("#PBC_SPETOOL_YN").val("N");	});
		$("#PBC_TEST_YN").click(function() {if($(':checkbox[name="PBC_TEST_YN"]:checked').val() != "Y")$("#PBC_TEST_YN").val("N");	});
		$("#PBC_DOC_YN").click(function() {if($(':checkbox[name="PBC_DOC_YN"]:checked').val() != "Y")$("#PBC_DOC_YN").val("N");	});
		$("#PBC_PACK_YN").click(function() {if($(':checkbox[name="PBC_PACK_YN"]:checked').val() != "Y")$("#PBC_PACK_YN").val("N");	});
		$("#PBC_LANDTRAN_YN").click(function() {if($(':checkbox[name="PBC_LANDTRAN_YN"]:checked').val() != "Y")$("#PBC_LANDTRAN_YN").val("N");	});
		$("#DELIVERY_CONDITION_YN").click(function() {if($(':checkbox[name="DELIVERY_CONDITION_YN"]:checked').val() != "Y")$("#DELIVERY_CONDITION_YN").val("N");	});
		$("#PBC_FEE_YN").click(function() {if($(':checkbox[name="PBC_FEE_YN"]:checked').val() != "Y")$("#PBC_FEE_YN").val("N");	});
		$("#PBC_OPTION_YN").click(function() {if($(':checkbox[name="PBC_OPTION_YN"]:checked').val() != "Y")$("#PBC_OPTION_YN").val("N");	});
		
		var Tbeflag = "<%=Order.get("TBE_FLAG")%>";
		if(Tbeflag == "Y"){
			$("#sort_gb_3").click();
		}else{
			$("#sort_gb_4").click();
		}
		
		if("<%=Order.get("PBC_DEFECT_CONDI2")%>"!=""||"<%=Order.get("CBC_DEFECT_DAY2")%>"!=""||"<%=Order.get("CBC_DERECT_TERM_CD2")%>"!=""){
			$("#addGuar").attr("checked", true);
			$(".checkAdd").show();
		}

		$("#addGuar").click(function(){
			var chk = $("#addGuar").is(":checked");
			if(chk){
				$(".checkAdd").show();
			}else{
				$(".checkAdd").hide();
				$("#PBC_DEFECT_CONDI2").val("");
				$("#CBC_DEFECT_DAY2").val("");
				$("#CBC_DERECT_TERM_CD2").val("");
			}
		});
		
		$("#report_emp_add").click(function(){
			SearchUser('REPORT_EMP','REPORT_EMP','N');
		});
		
		$("#report_emp_del").click(function() {
			if(confirm("삭제 하시겠습니까?")){
				$("#fevent").val("SET_REPORT_EMP_DELETE");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidPlan_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet3, url, $("#form1"), false);
			}
		}); 		
	}
	
	
	function tbe_radio(val){
		if(val == "Y"){
			$("#TBE_DATE").attr("disabled",false);
			$("#SUPP_REQ_DY").attr("disabled",false);
			$("#EVAL_EMPNM").attr("disabled",false);
			$("#btnevalemp").show();
			$("#calender_supp_req").show();
		}else if(val == "N"){ 
			$("#TBE_DATE").attr("disabled",true);
			$("#TBE_DATE").val("");
			$("#SUPP_REQ_DY").attr("disabled",true);
			$("#SUPP_REQ_DY").val("");
			$("#EVAL_EMPNM").attr("disabled",true);
			$("#EVAL_EMPNM").val("");
			$("#EVAL_EMPID").attr("disabled",true);
			$("#EVAL_EMPID").val("");
			$("#btnevalemp").hide();
			$("#calender_supp_req").hide();
		}
	}
	
	
	//결재
	function dlgSignForm( sign_class_cd, uri ) {
		var f = document.form1;
		var sheet1 = document.all.sheet1;
		var url = "/bidPurchaseSign/BidPlanSign_form.screen";
		url += "?sign_class_cd=" + sign_class_cd;
		url += "&uri="           + uri;
		url += "&sign_bid_no="   + $("#BID_NO").val();
		url += "&sign_bid_deg="   + $("#BID_DEG").val();
		url += "&acct_type=1";
		window.open(url, "_blank","width=200,height=100,SCROLLBARS=no");
	}
	
	function SearchUser(NAME,CODE,DEPT_YN){
		if(CODE == "PUREMPNO"){
			CODE = "";
			NAME = "";
			GB = "PUREMP";
		}else if(CODE == "SITEDESCCHRGPRSNID"){
			CODE = "";
			NAME = "";
			GB = "SITEDESCCHRGPRSN";
		}else if(CODE == "REPORT_EMP"){
			CODE = "";
			NAME = "";
			GB = "REPORT_EMP";
		}else{
			GB = "";
		}
		var win_id = "_searchUserPopup";
		var link = "/lib/dlgSearchUserPop.screen";
		    link += "?pop_win_id="+win_id;
		    link += "&NAME="+NAME;
		    link += "&CODE="+CODE;
		    link += "&GB="+GB;
		    if(DEPT_YN == "Y")
		    	link += "&deptNameYn=purchase";
		fLayerPop(win_id, link, 700,400, '', '', 'NO');
	}
	
	function SearchUserClose(result){
		if(result[10] == "PUREMP"){
			$("#PUREMPNO").val(result[9])//ACCT_ID
			$("#PUREMPNM").val(result[1])//이름
			$("#PO_EMPNM").val(result[6])//연락처
		}else if(result[10] == "SITEDESCCHRGPRSN"){
			$("#SITEDESCCHRGPRSNID").val(result[9])//ACCT_ID
			$("#SITEDESCCHRGPRSNNM").val(result[1])//이름
			$("#SITEDESCTELNO").val(result[6])//연락처
			$("#SITEDESCEMAIL").val(result[8])//이메일
		}else if(result[10] == "REPORT_EMP"){
	 		var rowcnt = sheet3.RowCount();
			 if(rowcnt> 0){
				for(var r=0; r < rowcnt; r++)
				{
					var acct_id = sheet3.GetCellValue(r+1,"ACCT_ID");
					if(acct_id == result[9]){
						alert(result[1]+" " +result[5]+ "님은 이미 등록된 보고자 입니다.");
						return;
					}
				}
			} 
	 		//sheetObj.DataAutoTrim = false;
			var row = sheet3.DataInsert(-1);
			sheet3.SetCellValue(row,"ACCT_ID",result[9]);
			sheet3.SetCellValue(row,"USER_NAME",result[1]);
			sheet3.SetCellValue(row,"BUSEO_NAME",result[3]);
			sheet3.SetCellValue(row,"GRADE_NAME",result[5]);
		}
		setTimeout(function(){	fLayerPopClose('_searchUserPopup');},100);
	}

	function sheet1_OnChange(Row, Col, Value) {
		if(Col == 10){//전화번호 형식 체크
			if(Value != ""){
				if(!checkTelno(Value)){
					alert("전화번호 형식이 올바르지 않습니다.");
					sheet1.SetCellValue(Row,Col,"");
				}
			}
		}
		if(Col == 11){//이메일 형식 체크
			if(Value != ""){
				if(!checkEmail(Value)){
					alert("이메일 형식이 올바르지 않습니다.");
					sheet1.SetCellValue(Row,Col,"");
				}
			}
		}
	}

	
	function searchAccDept(p_dept_cd, p_dept_nm){
		var win_id = "_searchDept";
		var link = "/lib/dlgSearchAccDept.screen";
		    link += "?pop_win_id="+win_id;
		    //link += "&{{query}}";
		fLayerPop(win_id, link, 600,400, '', '', 'NO');
	}
	
	function searchAccDeptClose(result){
		if( result == null ){
		}else{
			sheet1.SetCellValue($("#TEMP_ROW").val(),"RECM_DEPT_ID",result[0]);   //부서코드
			sheet1.SetCellValue($("#TEMP_ROW").val(),"RECM_DEPT_NM", result[1]);   //부서명
		}
		
		setTimeout(function(){	fLayerPopClose('_searchDept');},100);

	}

	function doSearchSheet(){
		$("#fevent").val("GET_CORP_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidPlan_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
	}
	
	function doSearchSheetitem(){
		$("#fevent").val("GET_ITEM_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidPlan_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet2, url, jQuery("#form1"), 30, "");
	}

	function doSearchSheet3(){
		$("#fevent").val("GET_REPORT_EMP_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidPlan_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet3, url, jQuery("#form1"), 30, "");
	}

	function doSaveSheet3(){
		$("#fevent").val("REPORT_EMP_UPDATE");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidPlan_sheet.screen";
		var result = Modular.view.IBSheet7.doSave(sheet3, url, $("#form1"), false);
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		if(sheetName.id == "sheet1"){
			init_sheet.Cfg = {SearchMode:2, Page:30,MergeSheet:msHeaderOnly};
			init_sheet.Cols = [
			       			{Header:'삭제',				Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:0, 		Align:"Center"},
			    			{Header:'Status',			Type:"Status", 		SaveName:"STATUS", 						Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'No.',				Type:"Seq", 			SaveName:"NO",								Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'추천부서',			Type:"Text", 			SaveName:"RECM_DEPT_NM", 			Width:100,		Align:"Center", Edit:false},
			    			{Header:'추천부서',				Type:"Image", 			SaveName:"IMG_GB", 				Width:25, 		Align:"Center"},
			    			{Header:'사업자번호',		Type:"Text", 			SaveName:"VENDOR_NO", 					Width:100,		Align:"Center", Format:"SaupNo", Edit:false},
			    			{Header:'업체명',			Type:"Text", 			SaveName:"VENDOR_NAME", 				Width:100, 		Align:"Left", Edit:false},
			    			{Header:'대표자명',			Type:"Text", 			SaveName:"REPRE_NO", 					Width:100, 		Align:"Center", Edit:false},
			    			{Header:'담당자명',			Type:"Text",	 		SaveName:"CHARGE_NAME", 				Width:100, 		Align:"Center"},
			    			{Header:'전화번호',			Type:"Text", 			SaveName:"TEL_NUM", 					Width:100, 		Align:"Center", Edit:false},
			    			{Header:'핸드폰',			Type:"Text", 			SaveName:"CHAGE_HP", 					Width:100, 		Align:"Center"},
			    			{Header:'이메일',			Type:"Text", 			SaveName:"CHARGE_EMAIL", 				Width:100, 		Align:"Left"},
			    			{Header:'추천사유',			Type:"Text", 			SaveName:"RECOMMEND_REASON",		Width:200, 		Align:"Left"},
			    			{Header:'평가점수',			Type:"Text", 			SaveName:"APPR_TOT_RATE",				Width:50, 		Align:"Center", Edit:false},
			    			{Header:'입찰여부',			Type:"Text", 			SaveName:"VALID_BID_YN_NM",				Width:50, 		Align:"Center", Edit:false},
			    			{Header:'VALID_BID_YN',		Type:"Text", 			SaveName:"VALID_BID_YN",				Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'추천부서',			Type:"Text", 			SaveName:"VENDOR_CD",					Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'추천부서',			Type:"Text", 			SaveName:"RECM_DEPT_ID",				Width:0, 		Align:"Center", Hidden:"True"}
			    			
			];
			
			//sheetName.SetExtendLastCol(1);
		}else if(sheetName.id == "sheet2"){
			init_sheet.Cfg = {SearchMode:2, Page:30,MergeSheet:msHeaderOnly};
			init_sheet.Cols = [
    			       			{Header:'Del',								Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:0, 			Align:"Center",	Hidden:"True"},
    			    			{Header:'Status',							Type:"Status", 		SaveName:"STATUS", 						Width:0, 			Align:"Center",	Hidden:"True"},
    			    			{Header:'No.',								Type:"Seq", 			SaveName:"NO",								Width:0, 			Align:"Center",	Hidden:"True"},
    			    			{Header:'자재코드|자재코드',				Type:"Text", 			SaveName:"MATERIAL_CD", 				Width:80, 			Align:"Center"},
    			    			{Header:'자재명|자재명',					Type:"Text", 			SaveName:"MATERIAL_NAME", 			Width:120, 			Align:"Left"},
    			    			{Header:'규격|규격',						Type:"Text", 			SaveName:"STD", 							Width:60, 			Align:"Left"},
    			    			{Header:'단위|단위',						Type:"Text", 			SaveName:"UNIT_KIND", 					Width:40, 			Align:"Center"},
    			    			{Header:'도급|단가',						Type:"Int", 				SaveName:"CONT_UNIT_AMT", 			Width:60, 			Align:"Right"},
    			    			{Header:'도급|금액',						Type:"Int", 				SaveName:"CONT_AMT", 					Width:60, 			Align:"Right",	CalcLogic:"|CONT_UNIT_AMT|*|DEMANDED_QTY|"},
    			    			{Header:'실행|단가',						Type:"Int", 				SaveName:"ACT_UNIT_AMT", 				Width:60, 			Align:"Right"},
    			    			{Header:'실행|금액',						Type:"Int", 				SaveName:"ACT_AMT", 						Width:60, 			Align:"Right",	CalcLogic:"|ACT_UNIT_AMT|*|DEMANDED_QTY|"},
    			    			{Header:'견적의뢰수량|견적의뢰수량',		Type:"Float", 			SaveName:"DEMANDED_QTY", 			Width:40, 			Align:"Right"},
    			    			{Header:'투입요청일|투입요청일',			Type:"Text", 			SaveName:"REQUEST_DATE", 				Width:40, 			Align:"Center",		Format:"####-##-##"}
				];
			sheetName.SetEditable(false);
		}else{
			init_sheet.Cfg = {SearchMode:2, Page:30,MergeSheet:msHeaderOnly,SizeMode:1};
			init_sheet.Cols = [
				       		{Header:'삭제',			Type:"DelCheck",		SaveName:"DEL_CHECK", 		Width:0, 		Align:"Center"},
				    		{Header:'Status',		Type:"Status", 			SaveName:"STATUS", 			Width:0, 		Align:"Center",	Hidden:"True"},
   			    			{Header:'No.',			Type:"Seq", 			SaveName:"NO",				Width:0, 		Align:"Center", Hidden:"True"},
   			    			{Header:'계정ID',		Type:"Text", 			SaveName:"ACCT_ID", 		Width:0, 		Align:"Center", Hidden:"True"},
   			    			{Header:'이름',			Type:"Text", 			SaveName:"USER_NAME", 		Width:100, 		Align:"Center", Edit:false},
   			    			{Header:'부서명',			Type:"Text", 			SaveName:"BUSEO_NAME", 		Width:150, 		Align:"Left", 	Edit:false},
   			    			{Header:'직위명',			Type:"Text", 			SaveName:"GRADE_NAME", 		Width:100, 		Align:"Center", Edit:false}
				];
		}
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetImageList(1,"/img/buyer/button/bt_search_right.gif");
		setGridSize();
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnClick(Row, Col, Value, CellX, CellY, CellW, CellH) {

	 }
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
		sheet2.FitColWidth();
	}

	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
		 var fevent = $("#fevent").val();
	    if(code == 0) {
	    	if(fevent == "GET_CORP_LIST")
				doSearchSheetitem();
	    	
	    	setGridSize();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet2_OnSearchEnd(code, message) {
		 if(code == 0) {
			 sheet2.FitColWidth();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}

	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet3_OnSearchEnd(code, message) {
		 if(code == 0) {
			//sheet3.FitColWidth();
			//견적대상 업체 조회
			doSearchSheet();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	function cmpt_must_ck(){
		var rowcnt = sheet1.RowCount();
		if($("#CMPT_CD").val() == "03"){//수의계약
			if(rowcnt != 1){
				alert("견적 대상 업체가 1개 이어야 합니다.");
				$("#sheet1_div").focus();
				return true;
			}
		}else if($("#CMPT_CD").val() == "02"){//지명경쟁
			if(rowcnt < 2){
				alert("견적 대상 업체가 2개 이상 있어야 합니다.");
				$("#sheet1_div").focus();
				return true;
			}
		}
		return false;
	}
	
	function must_ck(){
		if(must_ck_val("CONT_AMT",""))return false;
		if(must_ck_val("ACT_AMT",""))return false;
		if(act_amt_ck())return false;
		if(must_ck_val("BID_MASTER_NM",""))return false;
		if(must_ck_val("CMPT_CD","경쟁방법"))return false;
		//if(cmpt_must_ck())return false;   2015-03-27 경쟁방법 validation 막음
		if(must_ck_val("SUCC_CD","낙찰자선정방법"))return false;
		if(must_ck_val("NOTI_DY",""))return false;
		if(must_ck_val("CONT_APP_REQ_DATE","시행결의요청일"))return false;
		if(must_ck_radio("SITEDESC_FLAG","견적설명여부"))return false;
		if($(':radio[name="SITEDESC_FLAG"]:checked').val() == "Y"){
			if(must_ck_val("SITEDESCCHRGPRSNNM",""))return false;
			if(must_ck_val("SITEDESCTELNO",""))return false;
			if(must_ck_val("SITEDESCDATE",""))return false;
			if(time_ck("SITEDESCDATE_HH","HH"))return false;
			if(time_ck("SITEDESCDATE_MI","MI"))return false;
			if(must_ck_val("SITEDESCPLACE",""))return false;
		}
		if(must_ck_val("BID_FROM_DT",""))return false;
		if(time_ck("BID_FROM_HH","HH"))return false;
		if(time_ck("BID_FROM_MI","MI"))return false;
		if(must_ck_val("BID_TO_DT",""))return false;
		if(time_ck("BID_TO_HH","HH"))return false;
		if(time_ck("BID_TO_MI","MI"))return false;
		if(jQuery("#BID_FROM_DT").val() == jQuery("#BID_TO_DT").val()){
			var fromitme = jQuery("#BID_FROM_HH").val()+jQuery("#BID_FROM_MI").val();
			var toitme = jQuery("#BID_TO_HH").val()+jQuery("#BID_TO_MI").val();
			if(toitme <= fromitme){
				alert("견적제출기간 시작 또는 종료(마감) 일시가 잘못 입력되었습니다.");
				jQuery("#BID_FROM_HH").focus();
				return false;
			}
		}
		if(must_ck_val("PUREMPNM",""))return false;
		if(must_ck_val("PO_EMPNM",""))return false;
		if(must_ck_val("OPEN_EMPNM",""))return false;
		if(report_emp_must_ck())return false;
		if(must_ck_radio("TBE_FLAG","TBE여부"))return false;
		if($(':radio[name="TBE_FLAG"]:checked').val() == "Y"){
			if(must_ck_val("SUPP_REQ_DY",""))return false;
			if(must_ck_val("EVAL_EMPNM",""))return false;
		}
		if($("#CURRENCY_GB").val()==""){
			alert("통화구분은 필수입니다.");
			$("#CURRENCY_GB").focus();
			return false;
		}
		if($(':radio[name="PBC_CBE_TYPE_CD"]:checked').val() == undefined){
			alert("CBE문서TYPE은 필수입니다.");
			$("#PBC_CBE_TYPE_CD").focus();
			return false;
		}
		//2018.06.08 단가계약 체크 필수 
		if($(':radio[name="DIV_PO_YN"]:checked').val() == undefined){
			alert("단가계약여부 선택은 필수입니다.");
			$("#DIV_PO_YN").focus();
			return false;
		}


		if($(':checkbox[name="CURRENCY_GB_YN"]:checked').val() != "Y")$("#CURRENCY_GB_YN").val("N");
		if($(':checkbox[name="PBC_INSTALL_YN"]:checked').val() != "Y")$("#PBC_INSTALL_YN").val("N");	
		if($(':checkbox[name="PBC_COMMISS_YN"]:checked').val() != "Y")$("#PBC_COMMISS_YN").val("N");	
		if($(':checkbox[name="PBC_SPETOOL_YN"]:checked').val() != "Y")$("#PBC_SPETOOL_YN").val("N");	
		if($(':checkbox[name="PBC_TEST_YN"]:checked').val() != "Y")$("#PBC_TEST_YN").val("N");
		if($(':checkbox[name="PBC_DOC_YN"]:checked').val() != "Y")$("#PBC_DOC_YN").val("N");	
		if($(':checkbox[name="PBC_PACK_YN"]:checked').val() != "Y")$("#PBC_PACK_YN").val("N");	
		if($(':checkbox[name="PBC_LANDTRAN_YN"]:checked').val() != "Y")$("#PBC_LANDTRAN_YN").val("N");	
		if($(':checkbox[name="DELIVERY_CONDITION_YN"]:checked').val() != "Y")$("#DELIVERY_CONDITION_YN").val("N");	
		if($(':checkbox[name="PBC_FEE_YN"]:checked').val() != "Y")$("#PBC_FEE_YN").val("N");
		if($(':checkbox[name="PBC_OPTION_YN"]:checked').val() != "Y")$("#PBC_OPTION_YN").val("N");
		if($("#ACT_RATE").val() > 999){
			alert("도급대비실행율이 올바르지 않습니다.");
			return false;
		}
		
		if($(':radio[name="PBC_CBE_TYPE_CD"]:checked').val() == undefined){
			alert("CBE문서TYPE은 필수입니다.");
			$("#PBC_CBE_TYPE_CD").focus();
			return false;
		}
		
		if($(':checkbox[name="PBC_OPTION_YN"]:checked').val() == "Y"){
			if($("#PBC_OPTION_COMMENT").val() == ""){
				alert("업체 견적내용 반영일 경우 내용을 입력하셔야 합니다.");
				$("#PBC_OPTION_COMMENT").focus();
				return false;	
			}
		}
		

 		return true;
 	}
	
	// value 값 체크 
	function must_ck_val(obj,desc){
		if($("#"+obj).val().length == 0){
			if(desc.length> 0){
				alert(desc+must_msg);
			}else{
				alert($("#"+obj).attr("desc")+must_msg);
			}
			$("#"+obj).focus();
			return true;
		}
		return false;
	}
	
	// radio 박스 체크
	function must_ck_radio(obj,name){
		var value   = $(':radio[name='+obj+']:checked').val();
		if(value == undefined){
			alert(name+must_msg);
			$("#"+obj).focus();
			return true;
		}
 		return false;
	}
	
	function time_ck(obj,type){
		if(must_ck_val(obj,""))return true;
		if(!isNumber($("#"+obj).val())){
			alert("숫자만 입력 가능합니다.");
			$("#"+obj).focus();
			return true;
		}else{
			var time = Number($("#"+obj).val());
			if(type == "HH"){
				if(time < -1 || time > 23){
					alert("0~23 까지 입력 가능합니다.");
					$("#"+obj).focus();
					return true;
				}
			}else if(type == "MI"){
				if(time < -1 || time> 59){
					alert("0~59 까지 입력 가능합니다.");
					$("#"+obj).focus();
					return true;
				}
			}
		}
		if($("#"+obj).val().length == 1){
			var timelength = $("#"+obj).val();
			$("#"+obj).val("0"+timelength); 
		}
		return false; 
	}
	
	function act_amt_ck(){
		var val = $("#ACT_AMT").val();
		val = stripComma(val);
		if(Number(val) >= 0){
			return false;
		}else{
			alert("실행금액은 0보다 커야 합니다.");
			return true;
		}
	}
	
	//보고자 체크
	function report_emp_must_ck(){
		var rowcnt = sheet3.RowCount();
		var rst = 0;
		if(rowcnt < 1){
			alert("보고자는 필수입니다.");
			$("#sheet3_div").focus();
			return true;
		}

		if($("#CMPT_CD").val() == "03"){//수의계약
			if(rowcnt != 1){
				if (confirm("보고자가 1명이 아닙니다.\n진행하시겠습니까?")){
					
				}else{
					$("#sheet3_div").focus();
					return true;	
				}
			}
			
			for(var r=0; r < rowcnt; r++){
				var acct_id = sheet3.GetCellValue(r+1,"ACCT_ID");
				if(acct_id == <%=Order.get("PUR_LEADER") %>){
					rst = rst+1;
				}
			}
			
			if(rst == 0){
				if (confirm("구매 팀장이 보고자에 없습니다.\n진행하시겠습니까?")){
					
				}else{
					$("#sheet3_div").focus();
					return true;	
				}
			}
		}
		
		return false;
	}
	
	//첨부파일   
	function doAttachFile(obj,No) {
		var file_div = "bid/purchase/"+"<%=Order.get("BID_NO")%>"+"/";
		 if(obj==''){
			 alert("After you have saved, you can attach a file.");
		}else{ 
			if(No == 1){
				viewFileListNew("<%=Order.get("DOC_ETC_IN")%>", obj.value, document.form1.p_AttachFile1, "Y", file_div);
			}else{
				viewFileListNew("<%=Order.get("DOC_ETC_OUT")%>", obj.value, document.form1.p_AttachFile2, "Y", file_div);
			}
		} 
	}
	
	//견적대상업체 추가
	function doInsert(sheetObj) {
		sheetObj.DataAutoTrim = false;
		var rowIndex = sheet1.DataInsert(-1);
		sheet1.SetColProperty(rowIndex,3,info);
		sheet1.SetColProperty(rowIndex,4,info);
		sheet1.SetColProperty(rowIndex,5,info);
		sheet1.SetColProperty(rowIndex,6,info);
		sheet1.SetRowEditable(rowIndex,1);
		var info= {Edit:true};
	}   
	
	function doResult(resultObj) {
		try {
			if( resultObj.getRequestEvent() == "CHK") {
				document.form1.isSubmit = false;
				if( resultObj.getSuccess() ) {
					if(btn_act == "to_sign"){
						if($("#CMPT_CD").val() == "01"){//공개경쟁
			 				var rowcnt = sheet1.RowCount();
							if(rowcnt> 0){
								sheet1.RemoveAll();
							} 
						}
						if(must_ck()){
							if (confirm("결재 하시겠습니까?")){
								if($("#DELI_FROM_DY").val()>$("#DELI_TO_DY").val()||$("#DELI_FROM_DY").val()==""||$("#DELI_TO_DY").val()==""){
									alert("Delivery Period를 확인해주세요.");
									$("#DELI_TO_DY").focus();
									return;
								}
								$("#fevent").val("MASTER_UPDATE");
								var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidPlan_sheet.screen";
								var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
							}
						}
					}else if(btn_act == "to_Del"){
						if (confirm("삭제 하시겠습니까?")){
							var f = document.form1;
							$("#fevent").val("FORM_DELETE");
							submitXmlRequest("/bid/purchase/BidPlan_form.screen", "FORM_DELETE", f);
						}
					}else if(btn_act == "to_Save"){
						if($("#CMPT_CD").val() == "01"){//공개경쟁
			 				var rowcnt = sheet1.RowCount();
							if(rowcnt> 0){
								sheet1.RemoveAll();
							} 
						}
						$("#STATUS_CD").val("01");
						if(must_ck()){
							if (confirm("저장 하시겠습니까?")){
								if($("#DELI_FROM_DY").val()>$("#DELI_TO_DY").val()||$("#DELI_FROM_DY").val()==""||$("#DELI_TO_DY").val()==""){
									alert("Delivery Period를 확인해주세요.");
									$("#DELI_TO_DY").focus();
									return;
								}
								$("#fevent").val("UPDATE");
								var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidPlan_sheet.screen";
								var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
							}
						}
					}
				}
				else {
					alert("입찰실시중 입니다.");
				}
			}

			if( resultObj.getRequestEvent() == "FORM_DELETE") {
				if( resultObj.getSuccess() ) {
					alert("삭제 되었습니다.");
 					$("#btn_list").click();
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
		} catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}
	
	function sheet1_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		if(event == "SET_CORP_DELETE"){
			if(code>= "0"){
				alert("삭제되었습니다.");
				doSearchSheet();
			}else{
				alert("에러가 발생하였습니다.\n"+msg);
				document.form1.isSubmit = false;
			}
		}else if(event == "MASTER_UPDATE"){
			if(code>= "0"){
				doSaveSheet3();
			}else{
				alert("에러가 발생하였습니다.\n"+msg);
				document.form1.isSubmit = false;
			}
		}else{
			if(code>= "0"){
				doSaveSheet3();
			}else{
				alert("에러가 발생하였습니다.\n"+msg);
				document.form1.isSubmit = false;
			}
		}
	}
	
	function sheet3_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		if(event == "SET_REPORT_EMP_DELETE"){
			if(code>= "0"){
				alert("삭제되었습니다.");
				doSearchSheet3();
			}else{
				alert("에러가 발생하였습니다.\n"+msg);
				document.form1.isSubmit = false;
			}
		}else if(event == "REPORT_EMP_UPDATE"){
			if(code>= "0"){
				if(btn_act == "to_sign"){
					if("<%=Order.get("ONBID_YN")%>" == "온라인"){
						document.form1.isSubmit = false;
						var f = document.form1;
						var sign_bid_no = $("#BID_NO").val();
						var sign_bid_deg = $("#BID_DEG").val();	
						dlgSignForm('ebid_pinqD', '/bid/purchase/BidPlanSign.screen?sign_bid_no='+sign_bid_no+'^sign_bid_deg='+sign_bid_deg+'^acct_id='+"<%=user.get("ACCT_ID")%>");
					}else{
						refresh2();
					}
				} else {
					alert("저장되었습니다.");
					refresh();
				}
			}else{
				alert("에러가 발생하였습니다.\n"+msg);
				document.form1.isSubmit = false;
			}
		}
	}
	
	function refresh(){//저장
		$("#fevent").val("FORM_SELECT");
		$("#form1").attr("action", "/bid/purchase/BidPlan.screen");
		$("#form1").attr("target", "_self");
		$("#form1").attr("method", "post");
		$("#form1").submit();
	}
	function refresh2(){//결재
		if($(':radio[name=SITEDESC_FLAG]:checked').val() == "N"){//견적의뢰
			$("#fevent").val("FORM_SELECT");
			$("#form1").attr("action", "/bid/purchase/BidIng.screen");
		}else if($(':radio[name=SITEDESC_FLAG]:checked').val() == "Y"){//견적설명의뢰
			$("#fevent").val("FORM_SELECT_SITE");
			$("#form1").attr("action", "/bid/purchase/SiteExplanIng.screen");
		}
		$("#form1").attr("target", "_self");
		$("#form1").attr("method", "post");
		$("#form1").submit();
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		setGridSize();
		autoResize();
	}

	function autoResize(){
		sheet1.SetSheetHeight(160); 
	}	
	
	function act_rate(){
		var cont = $("#CONT_AMT").val();
		if(cont == "")
			cont = 0;
		else
			cont = cont.replace(/,/gi,"");
		
		var act = $("#ACT_AMT").val();
		if(act == "")
			act = 0;
		else
			act = act.replace(/,/gi,"");
		
		if(cont > 0 && act > 0){
			var rate = Number(act)/Number(cont) * 100;
			$("#ACT_RATE").val(Math.round(rate *10)/10);
		}else{
			$("#ACT_RATE").val("0");
		}
	}
	
	function doSignFile(doc_id, year){
		var link = "";
		if(doc_id == ""){
			alert("결재 정보가 없습니다.");
			return;
		}
		var doc_chk = doc_id.substring(doc_id.length-3, doc_id.length);
		
		doc_chk = doc_chk * 1;
		
		if (year > "20151213"){
			link = "<%=gwurl%>upload_approval/TEC/doc/" + year.substr(0,4) + "/" + doc_chk + "/"+ doc_id+".mht";
		}
		else
		{
			link = "<%=gwurl%>upload_approval/TEC/doc/" + doc_chk + "/"+ doc_id+".mht";
		}
		window.open(link,"_viewDraft","");	
	}

	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 if(Row == 0)return;
		if( Col == 4){//추천부서
			searchAccDept();
			$("#TEMP_ROW").val(Row);
		}
	}
	
	
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<!-- List Search -->
<INPUT type="hidden" name="P_BID_MASTER_NM" id="P_BID_MASTER_NM" value="<%= params.get("P_BID_MASTER_NM") %>">
<INPUT type="hidden" name="p_demanded_from_dt" id="p_demanded_from_dt" value="<%= params.get("p_demanded_from_dt") %>">
<INPUT type="hidden" name="p_demanded_to_dt" id="p_demanded_to_dt" value="<%= params.get("p_demanded_to_dt") %>">
<INPUT type="hidden" name="p_rceipt_from_dt" id="p_rceipt_from_dt" value="<%= params.get("p_rceipt_from_dt") %>">
<INPUT type="hidden" name="p_rceipt_to_dt" id="p_rceipt_to_dt" value="<%= params.get("p_rceipt_to_dt") %>">
<INPUT type="hidden" name="p_demanded_status" id="p_demanded_status" value="<%= params.get("p_demanded_status") %>">
<INPUT type="hidden" name="p_dept_nm" id="p_dept_nm" value="<%= params.get("p_dept_nm") %>">
<INPUT type="hidden" name="p_dept_cd" id="p_dept_cd" value="<%= params.get("p_dept_cd") %>">
<!-- List Search -->  
<INPUT type='hidden' name="signClass" value="ebid_pinqD">
<INPUT type='hidden' name="fevent" id="fevent"  value="">
<INPUT type='hidden' name="DEMANDED_ID" value="<%=Order.get("DEMANDED_ID")%>">
<INPUT type='hidden' name="DEMANDED_KIND" value="<%=Order.get("DEMANDED_KIND")%>">
<INPUT type='hidden' name="BID_NO" value="<%=Order.get("BID_NO")%>">
<INPUT type='hidden' name="BID_DEG" value="<%=Order.get("BID_DEG")%>">
<INPUT type='hidden' name="STATUS_CD" value="<%=Order.get("STATUS_CD")%>">
<INPUT type='hidden' name="MATERIAL_GB" value="<%=Order.get("MATERIAL_GB")%>">
<INPUT type='hidden' name="SAVE" value="">
<INPUT type='hidden' name="DOC_ETC_IN" value="<%=Order.get("DOC_ETC_IN")%>">
<INPUT type='hidden' name="DOC_ETC_OUT" value="<%=Order.get("DOC_ETC_OUT")%>">
<INPUT type='hidden' name="LAST_EVAL_EMPNM" value="">
<INPUT type='hidden' name="LAST_EVAL_EMPID" value="">
<INPUT type='hidden' name="TEMP_ROW" value="">
<!-- 제목 및 버튼 -->
<table width="100%">
	<colgroup>
		<col width="500" />
		<col width="*" />
	</colgroup>
	<tr>
   		<th>
			<div align="left" id="title">
			    <ul><li>구매_입찰계획상세<font style="font-size:11px">(<%=Order.get("STATUS_NM")%>)</font></li></ul>
			</div> 
   		</th>
   		<td align="right">
			<span class="btnSearch center" id="btn_Save"><a href="javascript:void(0);">저장</a></span>
			<span class="btnSearch center" id="btn_del"><a href="javascript:void(0);">삭제</a></span>
			<span class="btnSearch center" id="btn_Sign"><a href="javascript:void(0);">결재</a></span>
	        <span class="btnSearch center" id="btn_list"><a href="javascript:void(0);">목록</a></span>
   		</td>
  	</tr>
</table>
<!-- 발주의뢰정보 : 시작 -->
<div class="application-info magT10">
	<div class="application-sub-title">
		<span class="title">발주의뢰정보</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="160"/>
		<col width="20%">
		<col width="160"/>
		<col width="20%">
		<col width="160"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH> 현장</TH>
	<TD><%=Order.get("dept_nm") %></TD>
	<TH> 발주의뢰번호</TH>
	<TD><a href="javascript:doSignFile('<%=sign_info.get("doc_id") %>','<%=sign_info.get("year") %>');"><%=Order.get("DEMANDED_NO")%></a>
	</TD>
	<TH> 발주의뢰명</TH>
	<TD><%=Order.get("DEMANDED_TITLE")%></TD>
  </TR>

  <TR height="25"> 
	<TH> 발주의뢰일</TH>
	<TD><%= Order.get("DEMANDED_DATE")%></TD>
	<TH> 발주의뢰부서</TH>
	<TD><%= Order.get("REQ_DEPT_NM")%></TD>
	<TH> 발주의뢰자</TH>
	<TD><%= Order.get("EMP_NM")%></TD> 	
  </TR>
  
  <TR height="25"> 
	<TH> 발주접수일자</TH>
	<TD><%=Order.get("RECEIPT_DATE") %></TD>
	<TH> Pay Item</TH>
	<TD><%= Order.get("PAY_ITEM_NM") %></TD>
	<TH class="required"> 구매예산 (원)</TH>  <!-- 2015.02.27 구매예산추가 mklee -->
	<TD><%= InputText.get("PUR_AMT", Formatter2.currency(Order.get("PUR_AMT"),0), 13, 300, "desc=실행금액,Number,right","Number") %></TD> 	
  </TR> 	

  <TR height="25"> 
	<TH class="required"> 도급금액 (원)</TH>
	<TD><%= InputText.get("CONT_AMT", Formatter2.currency(Order.get("CONT_AMT"),0), 13, 300, "desc=도급금액,Number,right","Number") %></TD>
	<TH class="required"> 실행예산 (원)</TH>
	<TD><%= InputText.get("ACT_AMT", Formatter2.currency(Order.get("ACT_AMT"),0), 13, 300, "desc=실행금액,Number,right","Number") %></TD>
	<TH> 도급대비실행율(%)</TH>
	<TD><%= InputText.get("ACT_RATE", Order.get("ACT_RATE"), 40, 300, "class=input_blank,desc=실행금액,left,readOnly=white") %></TD> 	
  </TR>

</table>

<div class="application-info magT20">
	<div class="application-sub-title">
		<span class="title">입찰기본정보</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="160"/>
		<col width="160"/>
		<col width="29%"/>
		<col width="160"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH> 입찰번호-차수</TH>
	<TD colspan="2"><%=Order.get("BID_NO")%>-<%=Order.get("BID_DEG")%></TD>
	<TH> 온라인입찰여부</TH>
	<TD><%=Order.get("ONBID_YN")%></TD>
  </TR>

  <TR height="25"> 
	<TH class="required"> 입찰명</TH>
	<TD colspan="2"><%= InputText.get("BID_MASTER_NM", Order.get("BID_MASTER_NM"), 80, 300, "desc=입찰명,perSize") %></TD>
	<TH class="required"> 단가계약여부</TH>
	<TD>
		<LABEL for="div_po_flag_1"><INPUT id="div_po_flag_1" type="radio" name="DIV_PO_YN" value="Y" desc="단가계약여부" <%=Order.get("DIV_PO_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 예</LABEL>
		<LABEL for="div_po_flag_2"><INPUT id="div_po_flag_2" type="radio" name="DIV_PO_YN" value="N" desc="단가계약여부" <%=Order.get("DIV_PO_YN").equals("N") ? "checked=\"checked\"" : "" %>> 아니오</LABEL><%-- <%=Order.get("DIV_PO_YN").equals("") ? "checked=\"checked\"" : "" %> --%>
	</TD>
  </TR>
  
  <TR height="25"> 
	<TH class="required"> 경쟁방법</TH>
	<TD colspan="2"> 
		<%=CommCodeManager.getSelectCodeList("CMPT_CD","CMPT_CD","height=18;","<option value=''>--선택--</option>",Order.get("CMPT_CD")) %>
	</TD>
	<TH class="required"> 낙찰자선정방법</TH>
	<TD><%=CommCodeManager.getSelectCodeList("SUCC_CD","SUCC_CD","height=18;","<option value=''>--선택--</option>",Order.get("SUCC_CD")) %></TD> 	
  </TR> 	
  <!-- 발주의뢰정보 : 종료 -->
</table>

<div class="application-info magT20">
	<div class="application-sub-title">
		<span class="title">입찰진행</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="160"/>
		<col width="160"/>
		<col width="29%"/>
		<col width="160"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH class="required">업체공지일자</TH>
	<TD colspan="2"><%= InputText.get("NOTI_DY", Order.get("NOTI_DY"), 10, 10, "desc=업체공지일자,center,readOnly") %>
	<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('NOTI_DY');"></TD>
    <TH class="required">시행결의요청일</TH>
	<TD colspan="2"><%= InputText.get("CONT_APP_REQ_DATE", Order.get("CONT_APP_REQ_DATE"), 10, 10, "desc=시행결의요청일,center,readOnly") %>
	<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('CONT_APP_REQ_DATE');"></TD>
  </TR>


  <TR height="25"> 
	<TH  rowspan="3"> 견적설명회 정보</TH>
	<TH class="required"> 여부</TH>
	<TD> 
		<LABEL for="sitedesc_flag_1"><INPUT id="sitedesc_flag_1" type="radio" name="SITEDESC_FLAG" value="Y" desc="견적설명여부" <%=Order.get("SITEDESC_FLAG").equals("Y") ? "checked=\"checked\"" : "" %>> 예</LABEL>
		<LABEL for="sitedesc_flag_2"><INPUT id="sitedesc_flag_2" type="radio" name="SITEDESC_FLAG" value="N" desc="견적설명여부" <%=Order.get("SITEDESC_FLAG").equals("N") ? "checked=\"checked\"" : "" %>> 아니오</LABEL>
	</TD>
	<TH class="required"> 담당자</TH>
	<TD> 
		<%= InputText.get("SITEDESCCHRGPRSNNM", Order.get("SITEDESCCHRGPRSNNM"), 21, 50, "desc=견적설명담당자,readOnly") %><INPUT type='hidden' name="SITEDESCCHRGPRSNID" value="<%=Order.get("SITEDESCCHRGPRSNID")%>">
		<IMG id="btn_sitedescchrgprsnid" src="/img/buyer/button/bt_search_right.gif" alt="담당자" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:SearchUser('SITEDESCCHRGPRSNNM','SITEDESCCHRGPRSNID','N');">
	</TD>	
  </TR>
  
  <TR height="25"> 
	<TH class="required"> 담당자 전화번호</TH>
	<TD><%= InputText.get("SITEDESCTELNO", Order.get("SITEDESCTELNO"), 15, 20, "desc=견적설명담당자 전화번호") %> ex)02-0000-0000</TD>
	<TH class="required"> 일시</TH>
	<TD>
		<%= InputText.get("SITEDESCDATE", Order.get("SITEDESCDATE"), 10, 10, "desc=견적설명일시,readOnly,center") %>
		<IMG name="calendar_sitedescdate" id="calendar_sitedescdate" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('SITEDESCDATE');">
		<%= InputText.get("SITEDESCDATE_HH", Order.get("SITEDESCDATE_HH"), 2, 2, "desc=견적설명일시,Number,center","Number") %> : <%= InputText.get("SITEDESCDATE_MI", Order.get("SITEDESCDATE_MI"), 2, 2,"desc=견적설명일시,Number,center","Number") %>
	</TD>		
  </TR> 	
  
    <TR height="25"> 
	<TH> 담당자 E-Mail</TH>
	<TD><%= InputText.get("SITEDESCEMAIL", Order.get("SITEDESCEMAIL"), 50, 50, "") %></TD>
	<TH class="required"> 장소</TH>
	<TD><%= InputText.get("SITEDESCPLACE", Order.get("SITEDESCPLACE"), 60, 200, "desc=견적설명장소") %></TD>		
  </TR> 
  
    <TR height="25"> 
	<TH  rowspan="4"> 견적 의뢰</TH>
	<TH class="required"> 견적제출기간</TH>
	<TD colspan="3"> 
		<%= InputText.get("BID_FROM_DT", Order.get("BID_FROM_DT"), 10, 10, "desc=견적제출기간,readOnly,center") %>
		<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('BID_FROM_DT');">
		<%= InputText.get("BID_FROM_HH", Order.get("BID_FROM_HH"), 2, 2, "desc=견적제출기간,Time,center") %> :
		<%= InputText.get("BID_FROM_MI", Order.get("BID_FROM_MI"), 2, 2, "desc=견적제출기간,Time,center") %>  ~
		<%= InputText.get("BID_TO_DT", Order.get("BID_TO_DT"), 10, 10, "desc=견적제출기간,readOnly,center") %>
		<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('BID_TO_DT');">
		<%= InputText.get("BID_TO_HH", Order.get("BID_TO_HH"), 2, 2, "desc=견적제출기간,Time,center") %> :
		<%= InputText.get("BID_TO_MI", Order.get("BID_TO_MI"), 2, 2, "desc=견적제출기간,Time,center") %>
	</TD>
  </TR>
  
  <TR height="25"> 
	<TH class="required"> 구매담당자</TH>
	<TD> 
		<%= InputText.get("PUREMPNM", Order.get("PUREMPNM"), 21, 60, "desc=구매담당자,readOnly") %><INPUT type='hidden' name="PUREMPNO" desc="구매담당자" value="<%=Order.get("PUREMPNO")%>">
		<IMG src="/img/buyer/button/bt_search_right.gif" alt="담당자" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:SearchUser('PUREMPNM','PUREMPNO','Y');">
	</TD>
	<TH class="required"> 구매담당자 전화번호</TH>
	<TD> 
		<%= InputText.get("PO_EMPNM", Order.get("PO_EMPNM"), 15, 13, "desc=구매담당자 전화번호") %> ex)02-0000-0000
	</TD>		
  </TR> 	
  
  <TR height="25"> 
	<TH class="required"> 개찰자</TH>
	<TD colspan="3"> 
		<%= InputText.get("OPEN_EMPNM", Order.get("OPEN_EMPNM"), 21, 60, "desc=개찰자,readOnly") %><INPUT type='hidden' name="OPEN_EMPID" value="<%=Order.get("OPEN_EMPID")%>">
		<IMG src="/img/buyer/button/bt_search_right.gif" alt="담당자" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:SearchUser('OPEN_EMPNM','OPEN_EMPID','N');">
	</TD>
  </TR> 

  <TR height="25"> 
	<TH class="required"> 보고자</TH>
	<TD colspan="3">
		<div id="report_emp_btn" style="width:410px; margin-top:5px; text-align: right; height: 25px; vertical-align: top;">
            <span class="btnSearch center"><a href="javascript:void(0);" id="report_emp_add">추가</a></span>
			<span class="btnSearch center"><a href="javascript:void(0);" id="report_emp_del">삭제</a></span>
		</div>	
		<div  id="sheet3_div" style="width: 100%; height: 100%;"> 	
			<script>createIBSheet('sheet3','100%', '100px');</script>
		</div>
	</TD>
  </TR> 
  
  <TR height="25"> 
	<TH  rowspan="2">기술검토(TBE)</TH>
	<TH class="required"> TBE 여부</TH>
	<TD> 
		<LABEL for="sort_gb_3"><INPUT id="sort_gb_3" type="radio" name="TBE_FLAG" value="Y" desc="TBE 여부" <%=Order.get("TBE_FLAG").equals("Y") ? "checked=\"checked\"" : "" %> > 예</LABEL>
		<LABEL for="sort_gb_4"><INPUT id="sort_gb_4" type="radio" name="TBE_FLAG" value="N" desc="TBE 여부" <%=Order.get("TBE_FLAG").equals("N") ? "checked=\"checked\"" : "" %> > 아니오</LABEL>
	</TD>
	<TH class="required"> TBE 일자</TH>
	<TD> 
		<%= InputText.get("SUPP_REQ_DY", Order.get("SUPP_REQ_DY"), 10, 10, "desc=TBE일자,readOnly,center") %>
		<IMG name="calender_supp_req" id="calender_supp_req" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('SUPP_REQ_DY');">
	</TD>	
  </TR>
  
  <TR height="25"> 
	<TH class="required"> TBE 심사자</TH>
	<TD colspan="3">
		<%if(Order.get("EVAL_EMPNM").equals("")){%><!-- 심사자가 없을때 발주의뢰자의 이름과 번호 가져옴 -->
		<INPUT type='hidden' name="EVAL_EMPID" value="<%=Order.get("EMP_NO")%>">
		<%= InputText.get("EVAL_EMPNM", Order.get("EMP_NM"), 21, 60, "desc=TBE심사자,readOnly") %>
		<%}else{ %>
		<INPUT type='hidden' name="EVAL_EMPID" value="<%=Order.get("EVAL_EMPID")%>">
		<%= InputText.get("EVAL_EMPNM", Order.get("EVAL_EMPNM"), 21, 60, "desc=TBE심사자,readOnly") %>
		<%} %>
		<IMG id=btnevalemp src="/img/buyer/button/bt_search_right.gif" alt="담당자" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:SearchUser('EVAL_EMPNM','EVAL_EMPID','N');">
	</TD>
	<!-- <TD></TD>
	<TD></TD> -->		
  </TR> 	
  <!-- 발주의뢰정보 : 종료 -->
</table>

<div class="application-info magT20">
	<div class="application-sub-title">
		<span class="title">입찰조건</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="160"/>
		<col width="20%">
		<col width="160"/>
		<col width="20%">
		<col width="160"/>
		<col>
	</colgroup>
  <TR height="25"> 
	<TH class="required">통화구분</TH>
	<TD>
		<LABEL for="CURRENCY_GB_YN"><INPUT type="checkbox" id="CURRENCY_GB_YN" name="CURRENCY_GB_YN" value="Y" <%=Order.get("CURRENCY_GB_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체변경가능</LABEL>
		<%=CommCodeManager.getSelectCodeList("911","CURRENCY_GB","height=18;","<option value=''>--선택--</option>",Order.get("CURRENCY_GB")) %>
	</TD>
	<TH class="required">CBE문서 TYPE</TH>
	<TD colspan="3">
		<LABEL for="pbc_cbe_type_1"><INPUT id="pbc_cbe_type_1" type="radio" name="PBC_CBE_TYPE_CD" value="A" desc="CBE문서 TYPE" <%=Order.get("PBC_CBE_TYPE_CD").equals("A") ? "checked=\"checked\"" : "" %> > A type</LABEL>
		<LABEL for="pbc_cbe_type_2"><INPUT id="pbc_cbe_type_2" type="radio" name="PBC_CBE_TYPE_CD" value="B" desc="CBE문서 TYPE" <%=Order.get("PBC_CBE_TYPE_CD").equals("B") ? "checked=\"checked\"" : "" %> > B type</LABEL>
	    <LABEL for="pbc_cbe_type_3"><INPUT id="pbc_cbe_type_3" type="radio" name="PBC_CBE_TYPE_CD" value="C" desc="CBE문서 TYPE" <%=Order.get("PBC_CBE_TYPE_CD").equals("C") ? "checked=\"checked\"" : "" %> > C type(최종입찰업체만 표시)</LABEL>
	</TD>	
  </TR>
  <TR height="25"> 
	<TH>Installation</TH><!-- 설치비 포함여부 -->
	<TD><LABEL for="PBC_INSTALL_YN"><INPUT type="checkbox" id="PBC_INSTALL_YN" name="PBC_INSTALL_YN" value="Y" <%=Order.get("PBC_INSTALL_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체 견적내용 반영</LABEL></TD>
	<TH>Spare Parts for Commissionig</TH><!-- 시운전 포함여부 -->
	<TD><LABEL for="PBC_COMMISS_YN"><INPUT type="checkbox" id="PBC_COMMISS_YN" name="PBC_COMMISS_YN" value="Y" <%=Order.get("PBC_COMMISS_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체 견적내용 반영</LABEL></TD>
	<TH>Special Tool</TH><!-- 설치비 특별공구 포함여부 -->
	<TD><LABEL for="PBC_SPETOOL_YN"><INPUT type="checkbox" id="PBC_SPETOOL_YN" name="PBC_SPETOOL_YN" value="Y" <%=Order.get("PBC_SPETOOL_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체 견적내용 반영</LABEL></TD>	
  </TR>
  <TR height="25"> 
	<TH>Test & Inspection at Fabrication shop</TH><!-- 샾(공장) 검사비용 포함여부 -->
	<TD><LABEL for="PBC_TEST_YN"><INPUT type="checkbox" id="PBC_TEST_YN" name="PBC_TEST_YN" value="Y" <%=Order.get("PBC_TEST_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체 견적내용 반영</LABEL></TD>
	<TH>Documentation</TH><!-- vendor print  (무조건 포함)  삭제? -->
	<TD><LABEL for="PBC_DOC_YN"><INPUT type="checkbox" id="PBC_DOC_YN" name="PBC_DOC_YN" value="Y" <%=Order.get("PBC_DOC_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체 견적내용 반영</LABEL></TD>
	<TH>Packing cost</TH><!-- 포장비용 포함여부 -->
	<TD><LABEL for="PBC_PACK_YN"><INPUT type="checkbox" id="PBC_PACK_YN" name="PBC_PACK_YN" value="Y" <%=Order.get("PBC_PACK_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체 견적내용 반영</LABEL></TD>	
  </TR>
  <TR height="25"> 
	<TH>Inland Transportaion</TH><!-- 내륙운송비 -->
	<TD><LABEL for="PBC_LANDTRAN_YN"><INPUT type="checkbox" id="PBC_LANDTRAN_YN" name="PBC_LANDTRAN_YN" value="Y" <%=Order.get("PBC_LANDTRAN_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체 견적내용 반영</LABEL></TD>
	<TH>Delivery Condition</TH><!-- 인도조건 (현장도착도, 현장상차도,현장설치도, 설치시운전도) -->
	<TD colspan="3"><LABEL for="DELIVERY_CONDITION_YN"><INPUT type="checkbox" id="DELIVERY_CONDITION_YN" name="DELIVERY_CONDITION_YN" value="Y" <%=Order.get("DELIVERY_CONDITION_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체변경가능</LABEL>
	<%=CommCodeManager.getSelectCodeList("PUR_LEAD_GB","DELIVERY_CONDITION","height=18;","<option value=''>--선택--</option>",Order.get("DELIVERY_CONDITION")) %></TD>
  </TR>
   <TR height="25"> 
	<TH>OPTIONAL PRICE</TH><!-- 현장감독관 일당   &     기타일당 내역 -->
	<TD colspan="5">A. Supervision fee &nbsp<LABEL for="PBC_FEE_YN"><INPUT type="checkbox" id="PBC_FEE_YN" name="PBC_FEE_YN" value="Y" <%=Order.get("PBC_FEE_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체 견적내용 반영</LABEL>
	    &nbsp&nbsp  B. <%= InputText.get("PBC_OPTION_COMMENT", Order.get("PBC_OPTION_COMMENT"), 15, 50, "") %> &nbsp<LABEL for="PBC_OPTION_YN"><INPUT type="checkbox" id="PBC_OPTION_YN" name="PBC_OPTION_YN"  value="Y" <%=Order.get("PBC_OPTION_YN").equals("Y") ? "checked=\"checked\"" : "" %>> 업체 견적내용 반영</LABEL></TD>
  </TR>
  <TR height="25"> 
	<TH>Liquidated Damages</TH><!-- 지체상금 fix -->
	<TD colspan="5"><%= InputText.get("CBC_DAMAGE_RATE", Order.get("CBC_DAMAGE_RATE"), 5, 6, "Right,Float","Float") %>% <%=CommCodeManager.getSelectCodeList("LIQ_DMG_CD","CBC_DAMAGE_CD","height=18;","",Order.get("CBC_DAMAGE_CD")) %>, Max <%= InputText.get("CBC_DAMAGE_MAXRATE", Order.get("CBC_DAMAGE_MAXRATE"), 5, 6, "Right,Float","Float") %>%</TD>
  </TR>
  <TR height="25"> 
	<TH>선급금</TH>
	<TD><%= InputText.get("CBC_FIRST_RATE", Order.get("CBC_FIRST_RATE"), 5, 3, "Right,Float","Float") %>% <%= InputText.get("PBC_FIRST_CONDI", Order.get("PBC_FIRST_CONDI"), 20, 50, "") %></TD>
	<TH>중도금</TH>
	<TD><%= InputText.get("CPC_MID_RATE", Order.get("CPC_MID_RATE"), 5, 3, "Right,Float","Float") %>% <%= InputText.get("PBC_MID_CONDI", Order.get("PBC_MID_CONDI"), 20, 50, "") %></TD>
	<TH>잔금</TH>
	<TD><%= InputText.get("PBC_REST_RATE", Order.get("PBC_REST_RATE"), 5, 3, "Right,Float","Float") %>% <%= InputText.get("PBC_REST_CONDI", Order.get("PBC_REST_CONDI"), 20, 50, "") %></TD>	
  </TR>
  <TR height="25">    
	<TH>First Payment Bond</TH><!-- 선급금이행증권(yes, no) -->
	<TD><%= InputText.get("PBC_FRSTGUAR_RATE", Order.get("PBC_FRSTGUAR_RATE"), 5, 3, "Right,Float","Float") %>% <%= InputText.get("PBC_FRSTGUAR_CONDI", Order.get("PBC_FRSTGUAR_CONDI"), 20, 50, "") %></TD>
	<TH>Performance Bond</TH><!-- 계약이행증권(yes, no) -->
	<TD><%= InputText.get("CONTFUL_RATE", Order.get("CONTFUL_RATE"), 5, 3, "Right,Float","Float") %>% <%= InputText.get("CONTFUL_CONDI", Order.get("CONTFUL_CONDI"), 20, 50, "") %></TD>
	<TH>Guarantee Bond</TH><!-- 하자이행증권(yes, no) -->
	<TD><%= InputText.get("WARR_RATE", Order.get("WARR_RATE"), 5, 3, "Right,Float","Float") %>% <%= InputText.get("WARR_CONDI", Order.get("WARR_CONDI"), 20, 50, "") %></TD>	
  </TR>  
  <TR height="25"> 
	<TH>Guarantee Period</TH><!-- 하자보수기간 -->
	<TD colspan="3"><%= InputText.get("PBC_DEFECT_CONDI", Order.get("PBC_DEFECT_CONDI"), 25, 50, "") %> <%= InputText.get("CBC_DEFECT_DAY", Order.get("CBC_DEFECT_DAY"), 2, 2, "Number","Number") %>  
	<%=CommCodeManager.getSelectCodeList("CBC_DERECT_TERM_CD","CBC_DERECT_TERM_CD","height=18;","<option value=''>--선택--</option>",Order.get("CBC_DERECT_TERM_CD")) %> 간
	<input type="checkbox" id="addGuar" style="margin-top:2px">
	<span class="checkAdd" style="display:none;">&nbsp;or&nbsp;
	<%= InputText.get("PBC_DEFECT_CONDI2", Order.get("PBC_DEFECT_CONDI2"), 25, 50, "") %> <%= InputText.get("CBC_DEFECT_DAY2", Order.get("CBC_DEFECT_DAY2"), 2, 2, "Number","Number") %>  
	<%=CommCodeManager.getSelectCodeList("CBC_DERECT_TERM_CD","CBC_DERECT_TERM_CD2","height=18;","<option value=''>--선택--</option>",Order.get("CBC_DERECT_TERM_CD2")) %> 간 중 선도래일
	</span>
	</TD>
	<TH>Delivery Period</TH><!-- 납기일 fix -->
	<TD>
		<%= InputText.get("DELI_FROM_DY", Order.get("DELI_FROM_DY"), 10, 10, "desc=Delivery Period From,center,readOnly") %>
		<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('DELI_FROM_DY');"> ~ 
		<%= InputText.get("DELI_TO_DY", Order.get("DELI_TO_DY"), 10, 10, "desc=Delivery Period To,center,readOnly") %>
		<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('DELI_TO_DY');">
	</TD>
  </TR>  
</TABLE>


  
  
<TABLE class="form-table" style="margin-top: 10px">
		<col width="160px"/>
		<col width="160px"/>
		<col width="29%"/>
		<col width="160px"/>
		<col/>
  <TR height="100"> 
    <TH>주요발주내용</TH>
	<TD colspan="2">
		<textarea name="MAIN_PR_CONTENTS" style="width:98%; height:80px; overflow-y:auto" maxlength="1000" class="input byteChk ctrlTarget"><%=Order.get("MAIN_PR_CONTENTS")%></textarea> 
    </TD>
	
	<TH>입찰업체선정사유</TH>
	<TD>
	 	<textarea name="BID_SUPP_SELECT_REASON" style="width:98%; height:80px; overflow-y:auto" maxlength="1000" class="input byteChk ctrlTarget"><%=Order.get("BID_SUPP_SELECT_REASON")%></textarea>
	</TD>
  </TR>		
  <TR height="100"> 
    <TH>특이사항 내부</TH>
	<TD colspan="2">
		<textarea name="INNER_REMARKS" style="width:98%; height:80px; overflow-y:auto" maxlength="1000" class="input byteChk ctrlTarget"><%=Order.get("INNER_REMARKS")%></textarea> 
    </TD>
	
	<TH> 특이사항 외부</TH>
	<TD>
	 <textarea name="OUTER_REMARKS" style="width:98%; height:80px; overflow-y:auto" maxlength="1000" class="input byteChk ctrlTarget"><%=Order.get("OUTER_REMARKS")%></textarea>            
	</TD>
  </TR>
  <TR height="100"> 
    <TH> 내부자료</TH>
	<TD colspan="2"> 
	 <TEXTAREA name="p_AttachFile1" id="p_AttachFile1" style="width:85%;height:80px" rows="1" class="input" readOnly><%=filein.get(Order.get("DOC_ETC_IN")) %></TEXTAREA>
	                    <IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,1);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
    </TD>
	<TH> 외부자료</TH>
	<TD>
	 <TEXTAREA name="p_AttachFile2" id="p_AttachFile2" style="width:85%;height:80px" rows="1" class="input" readOnly><%=fileout.get(Order.get("DOC_ETC_OUT")) %></TEXTAREA>
	                    <IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,2);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
	</TD>
  </TR>  
</TABLE>

<table id=item_list width="100%">
	<colgroup>
		<col width="500" />
		<col width="*" />
	</colgroup>
	<tr>
   		<th>
   		<div class="application-info magT20">
			<div class="application-sub-title">
				<span class="title">견적의뢰내역</span>
			</div>
		</div>
   		</th>
   		<td align="right">
   		</td>
  	</tr>
</table>
<div id="sheet2_div" style="height: auto; min-height: 250px; overflow: auto;">
	<script>createIBSheet('sheet2','100%', '250px');</script>
</div>
	
<table id=copr_list width="100%">
	<colgroup>
		<col width="500" />
		<col width="*" />
	</colgroup>
	<tr>
   		<th>
   		<div class="application-info magT20">
			<div class="application-sub-title">
				<span class="title">견적대상업체</span>
			</div>
		</div>
   		</th>
   		<td align="right">
            <span class="btnSearch center"><a href="javascript:void(0);" id="corp_add">추가</a></span>
			<span class="btnSearch center"><a href="javascript:void(0);" id="btn_row_del">삭제</a></span>
   		</td>
  	</tr>
</table>
	<div id="sheet1_div" style="height: auto; min-height: 150px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '150px');</script>
	</div>
</form>
